Page MenuHomePhabricator

Fallback text for non-JS-supporting clients on Special:SuggestedTags
Closed, ResolvedPublic

Description

We need a fallback message to display to clients without JavaScript support or who have disabled JavaScript. The message only needs to indicate that JavaScript support is required to use the feature.

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : wmf/1.35.0-wmf.10Update no-JS warning text
mediawiki/extensions/MachineVision : masterUpdate no-JS warning text
mediawiki/extensions/MachineVision : masterClean up inclusion of ext.MachineVision.init
mediawiki/extensions/MachineVision : masterAdd no-JS fallback message to Special:SuggestedTags

Event Timeline

Mholloway renamed this task from Fallback text for non-JS-supporting clients to Fallback text for non-JS-supporting clients on Special:SuggestedTags.Dec 9 2019, 1:13 PM
Mholloway triaged this task as High priority.
Mholloway created this task.

Change 555977 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Add no-JS fallback message to Special:SuggestedTags

https://gerrit.wikimedia.org/r/555977

@Ramsey-WMF @PDrouin-WMF This is the message displayed in the patch I just uploaded for review. Does it look OK, or do you want to adjust the verbiage?

That works for me!

Updated per Anne's suggestion to use a gentler warning box.

Change 555977 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add no-JS fallback message to Special:SuggestedTags

https://gerrit.wikimedia.org/r/555977

Mholloway closed this task as Resolved.Dec 10 2019, 7:55 PM

Change 556272 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Update no-JS warning text

https://gerrit.wikimedia.org/r/556272

Change 556273 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Clean up inclusion of ext.MachineVision.init

https://gerrit.wikimedia.org/r/556273

Change 556273 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Clean up inclusion of ext.MachineVision.init

https://gerrit.wikimedia.org/r/556273

Change 556272 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Update no-JS warning text

https://gerrit.wikimedia.org/r/556272

Change 556427 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.10] Update no-JS warning text

https://gerrit.wikimedia.org/r/556427

Change 556427 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.10] Update no-JS warning text

https://gerrit.wikimedia.org/r/556427

Mentioned in SAL (#wikimedia-operations) [2019-12-11T18:53:26Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.10/extensions/MachineVision: Fix no-JS warning message (T240210) (duration: 01m 02s)